Latest Publications

Returns a list of Document Objects.

GET/api/2026-03/documents/latestPublications
public-api:read
Latest version (since 2026-01)

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
fields
string

Filters which (comma separated) properties are included in the response. Defaults to systemdata,metadata,content,references

reverse
boolean

Order publications in ascending order instead of the default descending order (the property used for sorting is lastPublicationDate). This is useful if you want to paginate using a time based filter

homepage
boolean

Return only the document labeled as homepage in the current project

contentTypes
string

Comma separated list of content types to use as filter

documentTypes
string

Comma separated list of document types to use as filter.

Can be one of article, page, data-record

id.gte
string

Filter by document id range.

Supported filters: id.gte, id.gt, id.lte, id.lt.

The id range filter is useful if you want to export a lot of documents.
You can do many requests in parallel against the api, where you filter by the specific ranges.

This query is much more flexible than an offset-based filter and works with millions of documents.

Request 1: ?id.gt=0&id.lte=100
Request 2: ?id.gt=100&id.lte=200
Request 3: ?id.gt=200&id.lte=300

id
string

Filter by one or multiple document ids.

Example 1: ?id=12
Example 2: ?id=100,120,123

publishedAt.gte
string

Filter by publish date range.

Supported filters: publishedAt.gte, publishedAt.gt, publishedAt.lte, publishedAt.lt (the filtered property is lastPublicationDate).

Example: To retrieve all publications since a specific timestamp, use ?reverse&publishedAt.gte=2021-05-01T00:00:00.000Z"

ignoreComponentConditions
boolean

{{< added-in "release-2024-03" >}}

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

{{< added-in "release-2024-03" >}}

JSON stringified object which contains the component conditions you would like to apply.

Default: {"dateTime": new Date()}
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

limit
integer

A limit for how much published documents to retrieve. Defaults to 100. Max. 100

offset
integer

An offset into the query. Useful when getting more than 100 results (pagination). Max. 10000. Prefer range based filters like id.get or publishedAt.gte

Description

The endpoint provides an unresolved Publication with 4 possible top-level properties:

  • systemdata
  • metadata
  • content
  • references

Use Cases

  • Bulk export of data, e.g. a specific Content Type

Responses

⌘ K to search